> For the complete documentation index, see [llms.txt](https://docs.sdv.dev/sdv/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sdv.dev/sdv/sampling/conditional/sequential.md).

# Sequential Conditional Sampling

Conditional sampling allows you to fix any values you'd like to see in the synthetic data. The rest of the synthetic data adapts to the values you provide. For sequential data, you can fix the *context* columns that remain static for the duration of the sequence.

## Condition on Known Context

{% hint style="info" %}
**Sampling prerequisites.** In order to create synthetic data, make sure you have created a synthesizer and trained it on your data using the `fit` function. For more information, see the [Modeling](/sdv/modeling/single-table-synthesizers.md) docs.
{% endhint %}

### sample\_sequential\_columns

Use this function to sample the sequences based on known context columns that do not change.

**Parameters**

* (required) `context_columns`: A [pandas DataFrame](https://pandas.pydata.org/docs/reference/api/pandas.DataFrame.html) that contains the sequence key and all the context columns of your data that do not vary with respect to time. Each row corresponds to a sequence that you want to synthesize.
* `sequence_length`: An integer >0 describing the length of each sequence. If you provide `None`, the synthesizer will determine the lengths algorithmically, and the length may be different for each sequence. Defaults to `None`.

**Returns** A [pandas DataFrame](https://pandas.pydata.org/docs/reference/api/pandas.DataFrame.html) object with synthetic data. The synthetic data is based on the referenced, context columns.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sdv.dev/sdv/sampling/conditional/sequential.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
